import request from '@/utils/request'

// 查询工单信息列表
export function listInfo(query) {
  return request({
    url: '/work/info/list',
    method: 'get',
    params: query
  })
}

// 接单人员列表（不分页）
export function listStaffManageNoPage(query) {
  return request({
    url: '/system/user/noPage/list',
    method: 'get',
    params: query
  })
}


// 查询工单信息详细
export function getInfo(orderId) {
  return request({
    url: '/work/info/' + orderId,
    method: 'get'
  })
}

// 新增工单信息
export function addInfo(data) {
  return request({
    url: '/work/info',
    method: 'post',
    data: data
  })
}
export function jd(data) {
  return request({
    url: '/work/info/jd',
    method: 'post',
    data: data
  })
}

// 修改工单信息
export function updateInfo(data) {
  return request({
    url: '/work/info/put',
    method: 'post',
    data: data
  })
}

// 删除工单信息
export function delInfo(orderId) {
  return request({
    url: '/work/info/delete/' + orderId,
    method: 'get'
  })
}
